Package: org.gradle.api.execution

## [Java] Interface TaskExecutionGraphListener

- A `TaskExecutionGraphListener` is notified when the TaskExecutionGraph has been populated. You can use this interface in your build file to perform some action based on the contents of the graph, before any tasks are actually executed.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `graphPopulated(TaskExecutionGraph graph)`

- - ### Method Detail

    - #### public void graphPopulated(TaskExecutionGraph graph)

      This method is called when the TaskExecutionGraph has been populated, and before any tasks are executed.

      Parameters:
        `graph` - The graph. Never null.